/*
 * Copyright (C) 2023  Valentin Lorentz
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

use matrix_sdk::ruma::OwnedRoomId;
use matrix_sdk::Client;
use matrix_sdk::Room;

use super::Buffer;

pub struct RoomBuffer {
  clients: Vec<Client>,
  room_id: OwnedRoomId,
}

impl RoomBuffer {
  pub fn new(clients: Vec<Client>, room_id: OwnedRoomId) -> Self {
    RoomBuffer { clients, room_id }
  }
}

impl Buffer for RoomBuffer {
  fn short_name(&self) -> String {
    self.room_id.as_str().to_owned()
  }
}
